## casper 1.345

=== debian/changelog ===
casper (1.345) utopic; urgency=medium

  * In scripts/casper-bottom/25adduser Kubuntu copy over setup script
    for live CD to display folderview with Ubiquity icon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Oct 2014 11:05:10 +0200

casper (1.344) utopic; urgency=medium

  * bin/casper-a11y-enable:
    - Use dbus-run-session to apply gsettings changes for the configured user
    - Use su instead of sudo to ensure the HOME variable is set correctly

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 09 Sep 2014 16:37:28 +1000

casper (1.343) utopic; urgency=medium

  * scripts/casper-bottom/30accessibility: Rework the logic for writing out
    the autostart desktop file for blindness profile enablement with a
    keyboard shortcut. We want the file written out if the user boots into
    either the desktop, or the try/install Ubuntu screen. This will ensure
    that the blindness profile settings are applied to the installed system.
    Also fix some spelling errors in the process.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 22 Aug 2014 12:54:58 +1000

casper (1.342) utopic; urgency=medium

  * Add wildcard for SDDM when booting in noninteractive/text mode

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 21 Aug 2014 16:55:19 +0100

casper (1.341) utopic; urgency=medium

  [ Rohan Garg ]
  * Add SDDM autologin config in casper hooks.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Aug 2014 16:16:23 +0200

casper (1.340build1) utopic; urgency=high

  * No change rebuild against libplymouth4.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Jul 2014 10:15:16 +0100

## casper 1.360

=== debian/changelog ===
casper (1.360) vivid; urgency=medium

  * casper.service: Allocate a terminal so that the non-plymouth fallback can
    actually work.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Apr 2015 15:48:53 +0100

casper (1.359) vivid; urgency=medium

  * Do a better job at caching files we might need for plymouth and systemd
    on shutdown. (LP: #1436656)
  * debian/casper.service: Order the casper service just before final.target
    so it's running at a better point in time on shutdown.
  * scripts/casper-bottom/25disable_cdrom.mount: mask the cdrom.mount task,
    so it doesn't unncessarily spin trying to unmount the cdrom, which casper
    will do. (LP: #1436715)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 13 Apr 2015 14:51:19 -0500

casper (1.358) vivid; urgency=medium

  * In 34disable_kde_services disable kubuntu-notification-helper and
    muon notifications on live system

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Apr 2015 15:09:31 +0200

casper (1.357) vivid; urgency=medium

  * Adjust screenlocker disabling for Kubuntu with Plasma 5.3 the locking
    config changed while causing unwanted side effects with our existing 5.2
    setting of lowering the timeout to 0 (gets auto-corrected to 1). So, set
    the timeout to 0 and the new autolock=false to force both Plasma 5.2 and
    5.3 to behave correctly and disable locking.

 -- Harald Sitter <sitter@kde.org>  Fri, 27 Mar 2015 11:49:53 +0100

casper (1.356) vivid; urgency=medium

  * Replace the casper init script with a systemd service which starts a new
    /sbin/casper-stop script; maintains the current behavior of caching data
    and prompting before ejecting a possible CD-ROM. (LP: #1432285)
  * debian/control: add dh-systemd to Build-Depends.
  * debian/rules:
    - don't apply postinst scripts from installinit; also don't start the
      systemd units on install.
    - run debhelper with systemd support.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 25 Mar 2015 23:16:27 -0400

casper (1.355) vivid; urgency=medium

  * Revert change to 15autologin, it broke login

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Mar 2015 19:09:10 +0100

casper (1.354) vivid; urgency=medium

  * Update 34disable_kde_services to really disable kf5 kwallet and baloo
   - LP: #1430426
   - LP: #1431587

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2015 12:34:06 +0100

casper (1.353) vivid; urgency=medium

  * Update 34disable_kde_services to disable kf5 kwallet

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 17:49:34 +0100

casper (1.352) vivid; urgency=medium

  * Fix screen locker launches during install of Kubuntu 15.04 in
    34disable_kde_services LP: #1398363

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Feb 2015 17:28:37 +0100

casper (1.351) vivid; urgency=medium

  * scripts/casper-bottom/51unity8-wizard: do the chown in the target
    environment otherwise the user doesn't exist (lp: #1420602)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Feb 2015 10:02:52 +0100

casper (1.350) vivid; urgency=medium

  * scripts/casper-bottom/51unity8-wizard: chown the directory, it 
    needs to be owned by the user

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Jan 2015 10:19:01 +0100

casper (1.349) vivid; urgency=medium

  * scripts/casper-bottom/51unity8-wizard: disable unity8's first run wizard,
    users want to try unity8, not to configure their system

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Jan 2015 11:04:50 +0100

casper (1.348) vivid; urgency=low

  * scripts/casper: switch up to overlayfs V2 format (overlay filesystem
    type) when available.  (LP: #1412411)

 -- Andy Whitcroft <apw@canonical.com>  Wed, 21 Jan 2015 16:15:21 +0000

casper (1.347) vivid; urgency=low

  * scripts/casper: move union content into a subdirectory of the /cow
    device, to allow us to create a workdir where that is needed for
    overlayfs.  Also attempt to mount overlayfs with and without the
    workdir= to cope with the semantic change in newer kernels.
    (LP: #1401620)

 -- Andy Whitcroft <apw@ubuntu.com>  Sun, 14 Dec 2014 11:21:49 +0000

casper (1.346) vivid; urgency=medium

  * scripts/casper: touch and remove a file in /var/crash so that inotify
    works for the /var/crash directory, thereby allowing update-notifier to
    notice crashes in /var/crash and for the crashes to be reported.

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Nov 2014 11:22:01 -0800

=== debian/control ===
Source: casper
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config, dh-systemd
Standards-Version: 3.9.3
Vcs-Bzr: https://code.launchpad.net/+branch/ubuntu/casper

Package: casper
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1), file, lzma, udev (>= 174), cifs-utils
Conflicts: usplash (<< 0.4-43), live-initramfs
Breaks: genext2fs (<< 1.4.1)
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Run a "live" preinstalled system from read-only media

Package: ubiquity-casper
Architecture: all
Depends: laptop-detect, sudo, ${misc:Depends}
Enhances: ubiquity
Replaces: casper (<< 1.318)
Breaks: casper (<< 1.318)
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Configuration hooks for live installer
 This package provides hook scripts for the Ubiquity live installer that
 repeat some pieces of configuration done by the live system boot process in
 the system installed by Ubiquity.

## casper 1.365

=== debian/changelog ===
casper (1.365) wily; urgency=medium

  * Add prereqs handling to several scripts that lacked it (LP: #1495873).
  * Fix inverted warning message in copy_live_to (LP: #1494123).
  * Simplify and improve the grammar of the installation medium removal
    prompt (LP: #1159207).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Sep 2015 13:44:27 +0100

casper (1.364) wily; urgency=medium

  * scripts/casper-bottom/15autologin: don't set autologin-session for lightdm,
    it's not actually existing as a valid session and lightdm properly does
    autologin in Ubuntu and Xubuntu without it.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 11 Aug 2015 16:03:37 -0400

casper (1.363) wily; urgency=low

  * scripts/casper: migrate existing persistent disk images to the
    updated upper/work form.  Record the actual format used and
    ensure we use the existing format and abort if not possible.
    (LP: #1481117)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 10 Aug 2015 10:52:25 +0100

casper (1.362) wily; urgency=medium

  * bin/casper-a11y-enable:
    - Remove all references and settings to gconf, nothing a11y that we
      set uses gconf any more
    - Change how the gset function is called, as the method name is
      self-explanetory
    - Remove the startup script hack, as we now use systemd, and its cleaner
      to create dconf key files directly, and load into the user's dconf
      database
    - Escape quotation marks

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 17 Jul 2015 10:54:40 +1000

casper (1.361) wily; urgency=medium

  * debian/control: bump localechooser-data Depends to (>= 2.65ubuntu1).
  * scripts/casper-functions: update to new localechooser-data languagelist
    format.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 03 Jun 2015 15:38:24 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: any
 Section: misc
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1), file, lzma, udev (>= 174), cifs-utils
+Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.65ubuntu1), util-linux (>= 2.15-1), file, lzma, udev (>= 174), cifs-utils
 Conflicts: usplash (<< 0.4-43), live-initramfs
 Breaks: genext2fs (<< 1.4.1)
 Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660

## casper 1.376

=== debian/changelog ===
casper (1.376) xenial; urgency=medium

  * scripts/casper-bottom/13swap: Don't add detected swap partitions to the
    live system's fstab, just swapon it. This avoids creating *.swap units for
    those which automatically trigger whenever partman re-creates swap
    partitions, as this races with partman's own swapon (while it's
    indistinguishable from a hotplug/early boot event in systemd). By
    disabling the fstab entries we disable that automatic start of swap
    partitions, as a relatively unintrusive bandaid for the final release.
    (LP: #1552539)
  * hooks/casper: Copy swapon into the casper initrd for the above.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 Apr 2016 16:26:55 +0200

casper (1.375) xenial; urgency=medium

  * scripts/casper-bottom/16disable_gpt_auto_mount: Disable systemd's GPT auto
    generator. We don't want this on a live system that is supposed to not
    touch your hard disk by default, and particularly we don't want to
    automatically enable discovered swap partitions. (LP: #1552539)
  * debian/control: Drop Vcs-Bzr:, which does not exist any more.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Apr 2016 15:53:13 +0200

casper (1.374) xenial; urgency=medium

  * scripts/casper-bottom/25adduser:
    - Fix symlink when installing passwd systemd unit

 -- Tim Lunn <tim@feathertop.org>  Mon, 18 Apr 2016 22:53:17 -0400

casper (1.373) xenial; urgency=medium

  * scripts/casper-bottom/25adduser:
    - Inject a systemd unit that will call passwd -d to ensure that the
      AccountsService properties (particulary PasswordMode) are correctly
      set for the live session user. This will be ignored on persistent 
      USB's (LP: #1561302)

 -- Tim Lunn <tim@feathertop.org>  Wed, 13 Apr 2016 14:02:44 +1000

casper (1.372) xenial; urgency=medium

  * ubiquity-hooks/30accessibility:
    - Extend profile code to support profiles for Mate and GNOME flavours
      (LP: #1546317)
    - Add code to support lightdm-gtk-greeter used by Ubuntu Mate
  * scripts/casper-bottom/30accessibility:
    - Allow the screen reader shortcut to load the blindness profile in
      Mate/GNOME as well

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 08 Apr 2016 12:25:00 +1000

casper (1.371) xenial; urgency=medium

  * Don't let gnome-software's service run in a live env. (LP: #1565865)

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 07 Apr 2016 12:27:16 -0500

casper (1.370) xenial; urgency=medium

  * Correct syntax error in systemd script.
    s,force-tty,tty-force,

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 29 Mar 2016 13:23:23 -0500

casper (1.369) xenial; urgency=medium

  * ubiquity-hooks/30accessibility:
    - Re-add accidentally dropped functionality to set up the greeter with
      settings relevant to the selected accessibility profile
    - Use su instead of sudo so that gsettings works properly
    - Properly clean up after settings are applied
    - Remove references to the magnifier profile, we do not have a magnifier
      on the Ubuntu desktop
    - Use correct profile names
    - Deal with quotes from gsettings output

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 24 Mar 2016 12:27:23 +1100

casper (1.368) xenial; urgency=medium

  * scripts/casper-bottom/14locales: Call "locale-gen --keep-existing",
    without passing the language. As of glibc 2.23, locale-gen will remove all
    locales (apart from the passed argument, if it exists in
    /var/lib/locales/supported.d) from the system if you pass an argument at
    the end of locale-gen without "--keep-existing". If called as "locale-gen
    --keep-existing" with no arguments, then all locales in
    /var/lib/locale/supported.d/ and /etc/locale.gen are generated if they
    weren't already generated. This is what we want.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 22 Mar 2016 17:03:40 +0000

casper (1.367) xenial; urgency=medium

  Replacement of a11y profile handling code with liba11y-profile-manager:
  * bin/casper-a11y-enable: Removed, ported profile code to the new a11y
    profile management library
  * scripts/casper-bottom/30accessibility, ubiquity-hooks/30accessibility:
    - Adjust to use a11y-profile-manager, using dconf compile to update
      user and login manager dconf/gsettings configuration with profile
      settings.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 17 Feb 2016 18:48:54 +1100

casper (1.366) xenial; urgency=medium

  * scripts/casper-bottom/15autologin, 25adduser: Update paths to gdm3 (LP: #1518478)
  * scripts/casper-bottom/16gdmnopasswd: Dropped, this does nothing anymore
    since JS code lives in a gresource these days
  * scripts/casper-premount/10driver_updates: Drop obsolete gdm snippet

 -- Tim Lunn <tim@feathertop.org>  Sat, 21 Nov 2015 10:01:49 +1100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config, dh-systemd
 Standards-Version: 3.9.3
-Vcs-Bzr: https://code.launchpad.net/+branch/ubuntu/casper
 
 Package: casper
 Architecture: any

## casper 1.376.2

=== debian/changelog ===
casper (1.376.2) xenial-proposed; urgency=medium

  * Make scripts/casper-bottom/53disable_unattended_upgrades executable.
    (LP: #1619188)

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 Oct 2016 09:32:27 -0700

casper (1.376.1) xenial-proposed; urgency=medium

  * scripts/casper-bottom/53disable_unattended_upgrades:
    - Disable the security allowed origin as it can fill a live environment.
      (LP: #1619188)

 -- Brian Murray <brian@ubuntu.com>  Mon, 03 Oct 2016 16:36:57 -0700

## casper 1.376.2%2B8.0trisquel6

=== debian/changelog ===
casper (1.376.2+8.0trisquel6) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 02 Apr 2018 03:25:05 +0000

## casper 1.379

=== debian/changelog ===
casper (1.379) yakkety; urgency=medium

  * scripts/casper-bottom/53disable_unattended_upgrades:
    - Disable the security allowed origin as it can fill a live environment.
      (LP: #1619188)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Sep 2016 13:57:37 -0700

casper (1.378) yakkety; urgency=medium

  * scripts/casper-bottom/52gnome_initial_setup:
    - Disable gnome-initial-setup in Try Ubuntu mode (LP: 1614778)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2016 19:23:20 -0400

casper (1.377) yakkety; urgency=medium

  * ubiquity-hooks/30accessibility && scripts/casper-bottom/30accessibility:
    - Add the -i command-line flag to a11y-profile-manager to toggle the
      state of the indicator, now that it is no longer enabled by the
      profiles themselves.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 18 Aug 2016 09:36:37 +1000

## casper 1.380

=== debian/changelog ===
casper (1.380) zesty; urgency=medium

  * scripts/casper-bottom/15autologin: Add support for Lubuntu and
    QLubuntu in sddm.conf. Based on patch from Julien Lavergne LP:
    #1582270

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 19 Dec 2016 13:05:56 +0000

## casper 1.387

=== debian/changelog ===
casper (1.387) artful; urgency=medium

  * Prior to version 1.386, we were unconditionally setting the default
    locale even if the file already existed in the read-only fs.  Restore
    this behavior, since our livefs may have a stub file.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Oct 2017 23:05:46 -0700

casper (1.386) artful; urgency=medium

  * Fix handling of the default locale case.  LP: #1723404.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 13 Oct 2017 08:01:16 -0400

casper (1.385) artful; urgency=medium

  * scripts/casper-bottom/14locales: default locale should always be
    C.UTF-8, not en_US.UTF-8.  LP: #1722828.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Oct 2017 13:14:41 -0400

casper (1.384) artful; urgency=medium

  * scripts/casper-bottom/15autologin:
    force gdm to start on the live a X session as ubiquity is currently
    crashing with it (LP: #1702904). We also want to ensure we are using
    X anyway until we are ready to switch to wayland.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 Jul 2017 15:40:40 +0200

casper (1.383) artful; urgency=medium

  * Drop path from one udevadm call to adjust for movement (LP: #1690580)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 13 May 2017 18:10:18 -0600

casper (1.382) artful; urgency=medium

  * scripts/casper-bottom/25adduser: Mark the .desktop files as "trusted" by
    gio, so that nautilus will let us execute them without further
    confirmation.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 10 May 2017 13:40:01 +0100

casper (1.381) artful; urgency=medium

  * scripts/casper: Do overlay stacking properly. (LP: #1561606)
  * hooks/casper: Switch from overlayfs to overlay, to make sure we properly
    enable using overlay rather than aufs on images.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 26 Apr 2017 15:10:57 -0400

## casper 1.394

=== debian/changelog ===
casper (1.394) bionic; urgency=medium

  * Echo a fallback message to nudge users to reboot, in the case when
    they do not see the pretty plymouth cause it 💩 itself.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 25 Apr 2018 19:04:21 +0100

casper (1.393) bionic; urgency=medium

  * Cache Ubuntu fonts for plymouth on shutdown. LP: #1760598

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 04 Apr 2018 11:55:32 +0100

casper (1.392) bionic; urgency=medium

  [ Jean-Baptiste Lallement ]
  * scripts/casper-bottom/31disable_update_notifier:
    - Do not activate gnome-software session service in the live session by
      disabling gnome-software shell search provider (LP: #1758920)

  [ Iain Lane ]
  * scripts/casper-bottom/55disable_snap_refresh: Add RemainAfterExit=yes, so
    that we only run once.
  * Move the gnome-software GSettings override to
    scripts/casper-bottom/22desktop_settings and add it to the pre-existing
    casper override - we need to call glib-compile-schemas to get it to work
    and this script already does that.
  * Check if gnome-software's search provider is there before writing to it,
    so that we don't do anything if it isn't.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Thu, 29 Mar 2018 16:45:29 +0100

casper (1.391) bionic; urgency=medium

  [ Jean-Baptiste Lallement ]
  * scripts/casper-bottom/55disable_snap_refresh:
    - Set refresh timer of snapd to 60 days on live session (LP: #1723094)

  [ Iain Lane ]
  * Modify the script a bit
    - Install in /run as a transient directory
    - Be WantedBy snapd.service, instead of Requires snapd.service & WantedBy
      multi-user.target, and update the symlink to match. It makes sense for
      us to order ourself to start right after snapd does.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Thu, 22 Mar 2018 09:49:54 +0100

casper (1.390) bionic; urgency=medium

  * scripts/casper-bottom/34disable_kde_services:
    - stop disabling kwallet in Kubuntu live session by removing it's
      desktop and service files, and instead write a 'kwalletrc' config
      file disabling it. Allows plasma-nm to recognise it is disabled,
      and not try to use it initially. Fixes repeated wi-fi password
      prompt. (LP: #1572244)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 11:45:09 +0000

casper (1.389) bionic; urgency=medium

  * scripts/casper-bottom/22desktop_settings:
    - don't display the Trash icon on the desktop in the live session 
  * scripts/casper-bottom/25adduser:
    - remove the "Example" icon from the desktop but keep it in the user
      directory. It easy enough to find there as well and it gives a
      cleaner desktop view by default.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 02 Mar 2018 13:32:50 +0100

casper (1.388) bionic; urgency=medium

  * bin/casper-stop: do not prompt for removal of installation medium if
    /run/casper-no-prompt exists. (LP: #1736797)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 07 Dec 2017 09:14:22 +1300

## casper 1.394+9.0trisquel6

=== debian/changelog ===
casper (1.394+9.0trisquel6) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 06 Dec 2019 18:35:15 +0000

## casper 1.394.2+9.0trisquel6

=== debian/changelog ===
casper (1.394.2+9.0trisquel6) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 29 Jan 2020 11:13:18 +0000

casper (1.394.2) bionic; urgency=medium

  * Add +x bit to scripts/casper-bottom/57pollinate. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 23 Jan 2020 10:05:42 +1300

casper (1.394.1) bionic; urgency=medium

  [ Michael Hudson-Doyle ]
  * Configure pollinate, if installed, in the live session to include image
    serial in the user agent. (LP: #1853912)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 Jan 2020 10:39:32 +0000

## casper 1.394.3

=== casper-md5check/Makefile ===
CC=gcc
PKG_CONFIG=pkg-config
CFLAGS := $(shell getconf LFS_CFLAGS) -Wall -O2 -g $(shell $(PKG_CONFIG) --cflags ply-boot-client)
LDLIBS=$(shell $(PKG_CONFIG) --libs ply-boot-client)

casper-md5check: casper-md5check.c md5.c

clean:
	rm -f *.o casper-md5check

=== debian/changelog ===
casper (1.394.3) bionic; urgency=medium

  * Cherrypick from eoan: Add dependency on finalrd for reliable
    live-session shutdown. Casper setup live systems do have layering
    violations (/ actually depends on /cdrom) and it appears that
    (although masked) the system manages to rip it out, resulting in
    filesystem errors preventing completing the shutdown. That's where
    pivot to finalrd comes in, to save the day and blast the running
    system into oblivion and complete the shutdown. LP: #1840122

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jan 2020 11:09:52 +0000

## casper 1.394.3%2B9.0trisquel7

=== debian/changelog ===
casper (1.394.3+9.0trisquel7) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Apr 2020 19:26:58 +0000

## casper 1.394.3+9.0trisquel6

=== debian/changelog ===
casper (1.394.3+9.0trisquel6) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 30 Jan 2020 11:13:05 +0000

## casper 1.399

=== debian/changelog ===
casper (1.399) cosmic; urgency=medium

  * Switch vt to where plymouth-shutdown will show-splash, if not
    already have.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Oct 2018 16:03:41 +0100

casper (1.398) cosmic; urgency=medium

  * Set Lubuntu installer as a trusted executable.

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 12 Oct 2018 19:50:17 -0700

casper (1.397) cosmic; urgency=medium

  [ Steve Langasek ]
  * debian/casper.service: order this after plymouth on shutdown, so that if
    plymouth is present we are reliably talking to it, rather than possibly
    racing by writing to console and then having plymouth start behind our
    back.  LP: #1795882.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 10 Oct 2018 16:47:59 +0100

casper (1.396) cosmic; urgency=medium

  * On systems with SDDM, do not delete the password, because SDDM does not
    have support for passwordless login yet.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 16 Sep 2018 15:44:32 -0500

casper (1.395) cosmic; urgency=medium

  * scripts/casper-bottom/25adduser:
    Set empty live user password on all flavours, this was previously
    gdm specific. Also drop systemd unit hack as it wasnt actually
    needed (LP: #1761644)

 -- Tim Lunn <tim@feathertop.org>  Sat, 07 Apr 2018 14:38:10 +1000

## casper 1.405

=== debian/changelog ===
casper (1.405) disco; urgency=medium

  [ Dimitri John Ledkov ]
  * scripts/casper-bottom/25adduser:
    - Make boot non-degraded, by clearing the lock. As otherwise
      systemd-sysusers fails and boots the system degraded on multi-lower
      subiquity images.

  [ Alberto Milone ]
  * scripts/casper-bottom/56override_nvidia_udev_rule:
    - Prevent udev from repeatedly trying to modprobe the nvidia modules
      and to start the relevant daemons on the live image (LP: #1824177).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 16 Apr 2019 15:13:07 +0200

casper (1.404) disco; urgency=medium

  * casper-md5check/casper-md5check.c: Modernize to make sure we can properly
    ready md5sums and check integrity of files on images. (LP: #1824672)
  * scripts/casper-bottom/01integrity_check: run casper-md5check on tty1.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 15 Apr 2019 19:02:31 -0400

casper (1.403) disco; urgency=medium

  * bin/casper-a11y-enable, scripts/casper-bottom/30accessibility,
    ubiquity-hooks/30accessibility,:
    - revert the code handling the a11y profiles to its pre-xenial version,
      the new a11y-profile-manager component which handled that in xenial
      had been deprecated and is not installed since bionic.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Apr 2019 16:08:10 +0200

casper (1.402) disco; urgency=medium

  * Support multi-layered fsimage:
    Add a layerfs-path kernel parameter pointing at the leaf to the leaf
    layer of an overlay-compatible multi-layer live filesystem
    on the medium.
    By default, it is not set and multi layer is disabled and falls back
    to the default behaviour of casper.
    A relative path uses "live-mediate-path" as root directory. All the
    layer images of the same hierarchy must be in the same directory.
    Manpage is updated.
    Co-work with Jean-Baptiste.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 28 Jan 2019 14:46:17 +0100

casper (1.401) disco; urgency=medium

  * Start to attempt to use hmcdrvfs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 20 Nov 2018 15:35:43 +0000

casper (1.400) disco; urgency=medium

  * Add hmcdrv support for s390x ISO booting.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 19 Nov 2018 15:42:56 +0000

## casper 1.427

=== debian/changelog ===
casper (1.427) eoan; urgency=medium

  * Setup machine-id, because without it it seems like machine-id setup is
    racy. LP: #1848404

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Oct 2019 10:38:07 +0100

casper (1.426) eoan; urgency=medium

  * Just like in Disco, overlayfs squashfs is tripped up with an empty
    file, this time it's machine-id. Maybe we should finally dig into
    what's wrong in the kernel/systemd when trying to edit overlayfs
    multi-lowerdir squashfs readonly files. LP: #1848190

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Oct 2019 15:08:34 +0100

casper (1.425) eoan; urgency=medium

  * Ask for removing the block device when installing from a partition
    (LP: #1837934)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 14 Oct 2019 17:29:05 +0200

casper (1.424) eoan; urgency=medium

  * Revert the cdrom changes from the previous upload, they seem to lead
    to an empty /cdrom on the live session and to have no kernel on the
    installed system as a result (lp: #1847457)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 09 Oct 2019 12:17:08 +0200

casper (1.423) eoan; urgency=medium

  [ Dimitri John Ledkov ]
  * Pacify systemd about cdrom.mount on boot, and order it correctly to be
    the last one on shutdown.

  [ Michael Hudson-Doyle ]
  * Have 'nopersistent' on the command line suppress the automatic
    creation of the casper-rw partition added in 1.416. (LP: #1846762)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Oct 2019 13:13:12 +0100

casper (1.422) eoan; urgency=medium

  * Add support for url=protocol://path/to/installer.iso netboot
    option. Using this, one can netboot and complete installations using
    kernel and initrd from the new Ubuntu Server Installer using `ip=dhcp
    url=http://..../ubuntu-19.10-live-server-arch.iso' cmdline paratemers.
    This is not specific to Server installer, and should work for Ubuntu
    Desktop images too. Using this patch, successfully completed netboot
    installation with dhcp networking over vlan on a POWER9 machine.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Sep 2019 13:09:57 +0100

casper (1.421) eoan; urgency=medium

  * Drop empty directory (doesn't track well in git)
  * Use debian/casper.dirs to install conf.d

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Oct 2019 13:05:51 +0100

casper (1.420) eoan; urgency=medium

  * Add dependency on finalrd for reliable live-session shutdown. Casper
    setup live systems do have layering violations (/ actually depends on
    /cdrom) and it appears that (although masked) the system manages to
    rip it out, resulting in filesystem errors preventing completing the
    shutdown. That's where pivot to finalrd comes in, to save the day and
    blast the running system into oblivion and complete the shutdown. LP:
    #1840122

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Oct 2019 11:00:12 +0100

casper (1.419) eoan; urgency=medium

  * scripts/casper: Fix shell syntax error introduced in the 1.417 upload.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Sep 2019 11:34:29 -0600

casper (1.418) eoan; urgency=medium

  * scripts/casper-helpers: Reintroduce try_mount() function, which was in
    use by (at least) VMWare in a custom installer scenario (LP: #1845535)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Sep 2019 11:00:40 -0600

casper (1.417) eoan; urgency=medium

  * Persist crash reports as well as logs by default.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 26 Sep 2019 14:18:38 +1200

casper (1.416) eoan; urgency=medium

  * Change the automatic log persistence to store the logs in the 'log'
    directory of the casper-rw filesystem.
  * When using full live session persistence, ignore a 'log' directory in the
    casper-rw filesystem, otherwise booting without and then with full
    persistence breaks.
    - Possibly the whole block of code scanning the casper-rw filesystem
      before using it should be deleted, but one thing at a time.
  * Add autopkgtests for various persistence scenarios, including the above.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 24 Sep 2019 13:12:54 +1200

casper (1.415) eoan; urgency=medium

  * Persist logs on the install media by default:
    - Try to auto create a casper-rw filesystem on the install media if there
      appears to be at least 100MiB free on it.
    - Use a casper-rw filesystem for /var/log if it is not being used for
      persistence.
  * Fix some '|| continue's that got missed when check_dev got refactored into
    a function.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Aug 2019 16:26:41 +1200

casper (1.414) eoan; urgency=medium

  * Use udev-created symlinks to find filesystems by label.
  * Fix find_cow_device and find_files to not unmount filesystems that were
    already mounted (LP: #1489855)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 22 Jul 2019 10:29:08 +1200

casper (1.413) eoan; urgency=medium

  * Fix ftbfs by restoring empty conf.d missing from git import. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Jul 2019 13:40:33 +1200

casper (1.412) eoan; urgency=medium

  * Try to mount partitions of a block device before mounting the block device
    itself (if both work, the former is preferable). (LP: #1489855)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Jul 2019 12:12:36 +1200

casper (1.411) eoan; urgency=medium

  * 1.409 only added parsing for NFSROOT, also add parsing for NETBOOT as
    it was intended.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Jul 2019 13:14:03 +0100

casper (1.410) eoan; urgency=medium

  * Drop casper-bottom/23networking and rely on stock configure_networking
    only. As that one knows netplan... However this drops ',' separated
    syntax for ip= command which is very weird. And baked-in networking
    config on the images should switch to netplan too.



## casper 1.441

=== debian/changelog ===
casper (1.441) focal; urgency=medium

  * casper-md5check:
    + flush pending events for actually fluid progress updates
    + drop reboot includes
    + watch for s keystroke to skip checks
    + always finish on 100% update, to remove the progress message
    + always drop the keystrokes message
    + always display the result of the checks, with a slight delay
    + make the failed message linger for longer
    + clear all messages before quiting
    + ignore unused-result warnings during compilation

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 26 Feb 2020 14:35:46 +0000

casper (1.440) focal; urgency=medium

  * casper-md5check:
    + Use fsck progress text, whilst verifying the disk.
    + Do not reboot, but simply continue booting after the integrity check.
    + Perform integrity check on every boot (TODO allow skipping the check)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Feb 2020 23:32:22 +0000

casper (1.439) focal; urgency=medium

  * Create partitions with label "writable" rather than "casper-rw" (but still
    use a partition with label "casper-rw" in preference to creating one).
    (LP: #1861512)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 12 Feb 2020 14:13:00 +1300

casper (1.438build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:56:43 +0000

casper (1.438) focal; urgency=medium

  * No change rebuild for the new libplymouth soname

 -- Sebastien Bacher <seb128@debian.org>  Fri, 10 Jan 2020 13:38:11 +0100

casper (1.437) focal; urgency=medium

  * Drop bebroken boot time option, and stop working around the broken
    multi-lower squashfs which is now fixed in Ubuntu kernels.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 07 Jan 2020 15:04:55 +0000

casper (1.436) focal; urgency=medium

  * Configure pollinate, if installed, in the live session to include image
    serial in the user agent. (LP: #1853912)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 18 Dec 2019 09:53:24 +1300

casper (1.435) focal; urgency=medium

  * Kernel team says, 512M is not enough to boot v5.4 kernel. Bump to 768M
    in the autopkgtest.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Dec 2019 12:47:46 +0000

casper (1.434) focal; urgency=medium

  * Only netboot with url=*.iso too (the inverse fix of the previous
    upload, ie. desktop preseed without url.iso netboot)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 04 Dec 2019 15:36:46 +0000

casper (1.433) focal; urgency=medium

  * Support preseed/url= key in addition to url= key in preseed script.
  * Ensure we do not treat netboot url=*.iso as a preseed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 04 Dec 2019 13:50:05 +0000

casper (1.432) focal; urgency=medium

  * scripts/casper-helpers: pass --no-reread to sfdisk when creating the
    casper-rw partition to reduce the risk of self-races (which probably only
    happen in qemu-system-emulation i.e. in the autopkgtests).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Nov 2019 15:07:08 +1300

casper (1.431) focal; urgency=medium

  * d/tests: test todisk rather than toram to reduce memory requirements.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 11 Nov 2019 23:10:53 +1300

casper (1.430) focal; urgency=medium

  * d/tests/run-image: attach disk as usb storage.
  * d/test/boot:
    - fix some mistakes in test_clean_log_directory_each_boot
    - add test that booting with toram on command line allows the disk to be
      ejected.
  * scripts/casper: have toram disable automatic persistence. (LP: #1851123)
  * scripts/casper-bottom/55disable_snap_refresh: delay computation of the
    date to refresh to until the service runs as busybox date does not support
    --iso-8601=seconds. (LP: #1852022)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 11 Nov 2019 10:25:42 +1300

casper (1.429) focal; urgency=medium

  * When automatically persisting logs, give each boot a clean /var/log and
    /var/crash directory to avoid e.g. syslog becoming unwieldy and confusing
    on a USB stick used to install many machines.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 04 Nov 2019 16:11:07 +1300

casper (1.428) focal; urgency=medium

  * Add UUID verification to netboot mounts. LP: #1847076
  * Stop doing //filesystem.squashfs everywhere
  * Always expose /cow
  * Allow booting broken
  * Drop support for non-overlay union= option

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Oct 2019 17:58:05 +0100

## casper 1.445

=== debian/changelog ===
casper (1.445) focal; urgency=medium

  * Fix segfault in casper-md5check when plymouth is not installed (i.e.
    Ubuntu Server).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 09 Apr 2020 10:48:20 +1200

casper (1.444) focal; urgency=medium

  * Move check for fallback persistent filesystem label (casper-rw) later as
    it seems sometimes it takes time for block devices to appear and be
    processed by udev. (LP: #1863672)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 07 Apr 2020 11:43:02 +1200

casper (1.443) focal; urgency=medium

  * Make fsckd under spinner/logo themes produce consistent output
  * Make plymouth-less progress output less bad
  * Use theme-specific keys: or fsckd-cancel-msg: for Ctrl+C message LP:
    #1870018
  * Add fsck.mode=skip sensitivity to casper-md5check
  * ubuntu-server: skip mounting swap (as hacked by livecd-rootfs currently)
  * Leave fsck result as a json /run/casper-md5check.json file.
  * ubuntu-server: adapt runtime netplan into cloud-config cloud.cfg
  * Fix cmdline parsing, it was always broken

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Apr 2020 13:04:38 +0100

casper (1.442) focal; urgency=medium

  * casper-md5check:
    + change progress messages to fsckd compatible ones
    + use Ctrl+C to cancel them

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Mar 2020 11:26:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: any
 Section: misc
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.65ubuntu1), util-linux (>= 2.15-1), file, lzma, udev (>= 174), cifs-utils
+Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.65ubuntu1), util-linux (>= 2.15-1), file, lzma, udev (>= 174), cifs-utils, finalrd
 Conflicts: usplash (<< 0.4-43), live-initramfs
 Breaks: genext2fs (<< 1.4.1)
 Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660

=== debian/rules ===
#! /usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ --with systemd

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
override_dh_auto_build:
	dh_auto_build -- CC=$(DEB_HOST_GNU_TYPE)-gcc PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
endif

check:
	# Check the syntax of any shell scripts.
	set -e; for x in $$(find -type f \! -name \*.po \! -name \*.pot -print0 | xargs -0 file -i | grep "text/x-shellscript" | cut -d':' -f1); do \
		sh -n $$x; \
	done

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_installinit:
	dh_installinit --noscripts

## casper 1.445.1+10.0trisquel7

=== debian/changelog ===
casper (1.445.1+10.0trisquel7) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Sep 2021 19:40:38 +0000

casper (1.445.1) focal; urgency=medium

  * casper SRU for point release LP: #1884933:
    - casper: Add interactive network configuration
    - casper-md5check: drop error about connecting to plymouth
    - casper-md5check: separate messages in text output mode
    - casper: Drop exposing /cow tree, never worked, and just prints an error.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Jun 2020 12:56:38 +0100

## casper 1.445.1+10.0trisquel10

=== debian/changelog ===
casper (1.445.1+10.0trisquel10) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 25 Nov 2021 18:12:43 +0000

## casper 1.445.1+10.0trisquel11

=== debian/changelog ===
casper (1.445.1+10.0trisquel11) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 26 Nov 2021 02:06:52 +0000

## casper 1.445.3

=== debian/changelog ===
casper (1.445.3) focal; urgency=medium

  * casper-md5check: correctly detect fsck.mode=skip if last
    in /proc/cmdline, and add a hint for users (LP: #1892369)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Sat, 27 Aug 2022 19:37:43 -0300

casper (1.445.2) focal; urgency=medium

  * Increase memory for qemu autopkgtest instances to 1G (LP: #1976287)

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 30 May 2022 14:40:38 +0000

## casper 1.445.3%2B10.0trisquel11

=== debian/changelog ===
casper (1.445.3+10.0trisquel11) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 31 Aug 2022 06:37:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: casper
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 7.0.50~), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config, dh-systemd
 Standards-Version: 3.9.3
